diff --git a/web/pgadmin/browser/server_groups/servers/__init__.py b/web/pgadmin/browser/server_groups/servers/__init__.py
index 130bf36..5e9d378 100644
--- a/web/pgadmin/browser/server_groups/servers/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/__init__.py
@@ -1090,17 +1090,21 @@ class ServerNode(PGChildNodeView):
             # Execute SQL to pause or resume WAL replay
             if conn.connected():
                 if pause:
-                    status, res = conn.execute_scalar(
-                        "SELECT pg_xlog_replay_pause();"
-                    )
+                    sql = "SELECT pg_xlog_replay_pause();"
+                    if manager.version >= 100000:
+                        sql = "SELECT pg_wal_replay_pause();"
+
+                    status, res = conn.execute_scalar(sql)
                     if not status:
                         return internal_server_error(
                             errormsg=str(res)
                         )
                 else:
-                    status, res = conn.execute_scalar(
-                        "SELECT pg_xlog_replay_resume();"
-                    )
+                    sql = "SELECT pg_xlog_replay_resume();"
+                    if manager.version >= 100000:
+                        sql = "SELECT pg_wal_replay_resume();"
+
+                    status, res = conn.execute_scalar(sql)
                     if not status:
                         return internal_server_error(
                             errormsg=str(res)
